---
search:
  tags:
    - Variant Groups
    - POST
seo:
  description: >-
    Associates multiple variant groups with… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/variant-groups/tags/bulk endpoint in the
    Management API.
sidebar:
  label: Bulk Add Variant Groups to Tags
  badge: POST
title: Bulk Add Variant Groups to Tags
type: openapi-operation
---
Associates multiple variant groups with multiple tags in a single request. Creates variant group-tag relationships.

`POST /api/v1/{team_slug}/{app_slug}/variant-groups/tags/bulk`

**Request body** (`application/json`, required)

Variant group and tag relationships to create (max 50)

- `items` (internal_pkg_webserver_v1.BulkVariantGroupTagRelationshipItem[], required)

Request body example:

```json
{
  "items": [
    {
      "tag_id": "string",
      "variant_group_ids": [
        "string"
      ]
    }
  ]
}
```

**Responses**

- `200` — Variant groups added to tags successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed_adds": [
      {
        "reason": "string",
        "tag_id": "string",
        "variant_group_id": "string"
      }
    ],
    "successful_adds": [
      {
        "tag_id": "string",
        "variant_group_ids": [
          "string"
        ]
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
